/*
 * Copyright 2005-2006 Myriad Genetics, Inc.
 * Copyright 2008 Dustin Cartwright
 *
 * All rights reserved.
 */

#ifndef _H_PHASING_
#define _H_PHASING_

#include "ped.h"

/* Records whether or not the phase of a given marker has been swapped, and if
 * so, for which parents. */
typedef unsigned char swap_t;
#define SWAP_MOTHER 0x01
#define SWAP_MOTHER_SEGREGATING 0x02
#define SWAP_FATHER 0x04
#define SWAP_FATHER_SEGREGATING 0x08

#ifdef __cplusplus
extern "C" {
#endif

double phasingVary(pedigree_t *ped, swap_t *swaps);
#ifdef __cplusplus
}
bool phasing(pedigree_t *ped, double lodThresh, swap_t *swaps);
#endif

#endif
