/*
 * Copyright 2008,2010 Dustin Cartwright
 *
 * All rights reserved.
 */

package com.myriad.tmap;

import javax.swing.*;
import java.awt.*;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import com.myriad.tmap.compute.Pedigree;
import com.myriad.tmap.grouping.GroupingComponent;

class ContinueToGroupingDialog extends JFrame {
    ContinueToGroupingDialog(Pedigree aPed)
    {
        super("Determine linakge groups?");
        
        ped = aPed;
        
        JTextArea   mess;
        Dimension   screenSize = Toolkit.getDefaultToolkit().getScreenSize();
        JButton     button;
        int         width = 400;
        int         height = 200;
        
        setLayout(new FlowLayout());
        getContentPane().setBackground(Color.white);

        mess = new JTextArea("Do you want to use the phased pedigree "
                + "to group markers into linkage groups now?", 3, 35);
        mess.setLineWrap(true);
        mess.setWrapStyleWord(true);
        mess.setEditable(false);
        mess.setFont(mess.getFont().deriveFont(Font.BOLD));
        getContentPane().add(mess);
        
        button = new JButton("Grouping");
        button.addActionListener(new GroupingListener());
        getContentPane().add(button);
        
        button = new JButton("Quit");
        button.addActionListener(new QuitListener());
        getContentPane().add(button);
        
        setSize(width, height);
        setLocation((screenSize.width - width) / 2,
                    (screenSize.height - height) / 2);
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setVisible(true);
    }
    
    private class GroupingListener implements ActionListener
    {
        public void actionPerformed(ActionEvent event)
        {
            dispose();
            GroupingComponent comp = new GroupingComponent(ped, 5.0, 8.0, 30.0);
            comp.putInNewFrame();
        }
    }
    
    private class QuitListener implements ActionListener
    {
        public void actionPerformed(ActionEvent event)
        {
            dispose();
        }
    }
    
    private Pedigree    ped;
}
