/*
 * Copyright 2005-2006 Myriad Genetics, Inc.
 *
 * All rights reserved.
 */

package com.myriad.tmap;

import javax.swing.*;
import com.myriad.tmap.compute.Pedigree;
import com.myriad.tmap.grouping.GroupingComponent;

/** Main class which uses a pedigree file to display the linkage groups in a
    GroupingComponent. If a pedigree file is not provided on the command line,
    it prompts the user with a dialog box. */
class Grouping {
    public static void main(String[] argv) {
        Pedigree            ped;
        GroupingComponent   comp;
        double              minLod = 5.0;
        double              maxLod = 8.0;
        double              maxDist = 30.0;
        
        if (argv.length > 1) {
            System.err.println("Too many arguments");
            System.exit(1);
        }
        
        ped = (new FileGetter()).getPed(argv.length == 1 ? argv[0] : null);
        comp = new GroupingComponent(ped, minLod, maxLod, maxDist);
        comp.putInNewFrame();
    }
}
