/*
 * Copyright 2005-2006 Myriad Genetics, Inc.
 * Copyright 2010 Dustin Cartwright
 *
 * All rights reserved.
 */

package com.myriad.tmap;

import javax.swing.*;
import java.awt.*;

/** Class for displaying a dialog box indicating that work is being done. This
    is useful for classes which spend a long time processing before displaying
    any real data. This indicates to the user that it is working even though
    nothing is being displayed. */
public class WorkingDialog extends JFrame {
    public WorkingDialog(String text)
    {
        super("TMAP: Working");
        
        JLabel  mess = new JLabel(text);
        Dimension   screenSize = Toolkit.getDefaultToolkit().getScreenSize();
        int         width = 400;
        int         height = 200;
        
        mess.setHorizontalAlignment(SwingConstants.CENTER);
        getContentPane().add(mess);
        getContentPane().setBackground(Color.white);
        setSize(width, height);
        setLocation((screenSize.width - width) / 2,
                    (screenSize.height - height) / 2);
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setVisible(true);
    }
}
