/*
 * Copyright 2005-2006 Myriad Genetics, Inc.
 *
 * All rights reserved.
 */

#ifndef _H_MAP_POOL_
#define _H_MAP_POOL_

#include "map.h"

typedef struct {
    map_t   *maps;
    int     size;
    int     capacity;
} mapPool_t;

void allocMapPool(mapPool_t *, int capacity);
void clearMapPool(mapPool_t *);
void freeMapPool(mapPool_t *);

void swapMapPools(mapPool_t *, mapPool_t *);

void insertMapPool(mapPool_t *, map_t *);
map_t *bestMapPool(mapPool_t *);

#endif
