/*
 * Copyright 2008 Dustin Cartwright
 *
 * All rights reserved.
 */

#include "outputPhasing.h"
#include <stdio.h>

char swapChar(swap_t s);

void writeJoinMapFile(const char *file, pedigree_t *ped, swap_t *swaps)
{
    FILE    *fp = fopen(file, "w");
    int     i;
    
    if (!fp) {
        fprintf(stderr, "Cannot open %s\n", file);
        return;
    }
    
    fprintf(fp, "Marker\tphase\n");
    for (i = 0; i < ped->numMarks; i++) {
        fprintf(fp, "%s\t{%c%c}\n", ped->markers[i].name,
                swapChar(swaps[i] & (SWAP_MOTHER | SWAP_MOTHER_SEGREGATING)),
          swapChar((swaps[i] & (SWAP_FATHER | SWAP_FATHER_SEGREGATING)) >> 2));
    }
    fclose(fp);
}

char swapChar(swap_t s)
{
    if (s & SWAP_MOTHER_SEGREGATING) {
        if (s & SWAP_MOTHER)
            return '1';
        else
            return '0';
    } else
        return '-';
}
